cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/facebook-user-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/facebook-user-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/facebook-user-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1756203716664x266794092961814000",
"userID": "81221197163",
"username": "Cristiano",
"platform": "facebook",
"url": "https://www.facebook.com/Cristiano",
"name": "Cristiano Ronaldo",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:81221197163?time=1756181607",
"description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
"country": "global",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "30_35",
"communityStatus": "COLLECTING",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 171308833,
"avgLikes": 737199,
"avgComments": 33114,
"avgER": 0.00456639112026712,
"avgInteractions": 782625,
"avgViews": 0,
"ratingIndex": 171309453.838245,
"qualityScore": 0.745833333333333
},
"lastUpdatedISO": "2025-08-26T10:21:54.943Z",
"lastUpdated": "26-08-2025"
}
Profile & Posts
User Account🔑
Get Facebook user details
GET
/
wf
/
facebook-user-account
cURL
This endpoint returns the masterID, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1756203716664x266794092961814000",
"userID": "81221197163",
"username": "Cristiano",
"platform": "facebook",
"url": "https://www.facebook.com/Cristiano",
"name": "Cristiano Ronaldo",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:81221197163?time=1756181607",
"description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
"country": "global",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "30_35",
"communityStatus": "COLLECTING",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 171308833,
"avgLikes": 737199,
"avgComments": 33114,
"avgER": 0.00456639112026712,
"avgInteractions": 782625,
"avgViews": 0,
"ratingIndex": 171309453.838245,
"qualityScore": 0.745833333333333
},
"lastUpdatedISO": "2025-08-26T10:21:54.943Z",
"lastUpdated": "26-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example: https://www.facebook.com/Cristiano OR https://www.facebook.com/81221197163
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I